org.apache.fontbox.ttf.model

## Interface ScriptFeature

All Known Implementing Classes:
  MapBackedScriptFeature

    public interface ScriptFeature

Models a `FeatureRecord`

Author:
  Palash Ray

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canReplaceGlyphs(List<Integer> glyphIds)`
`Set<List<Integer>>` `getAllGlyphIdsForSubstitution()`
`String` `getName()`
`Integer` `getReplacementForGlyphs(List<Integer> glyphIds)`

### Method Detail

#### getName

    String getName()

#### getAllGlyphIdsForSubstitution

    Set<List<Integer>> getAllGlyphIdsForSubstitution()

#### canReplaceGlyphs

    boolean canReplaceGlyphs(List<Integer> glyphIds)

#### getReplacementForGlyphs

    Integer getReplacementForGlyphs(List<Integer> glyphIds)